Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000982opensim[REGION] OpenSim Corepublic2008-04-15 22:562008-05-31 14:21
Reporterthomas 
Assigned Tocfk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000982: Exception when receive XML-RPC request
DescriptionError message

2008-04-16 12:35:27,015 ERROR - OpenSim.Framework.Servers.BaseHttpServer [BASE HTTP SERVER]: HandleRequest() threw System.InvalidCastException: ? 'System.Int32' ????????? 'System.String' ???????????
   ?? OpenSim.Region.Environment.Modules.XMLRPCModule.XmlRpcRemoteData(XmlRpcRequest request) ?? E:\opensim\trunk\OpenSim\Region\Environment\Modules\XMLRPCModule.cs:? 272
   ?? OpenSim.Framework.Servers.BaseHttpServer.HandleXmlRpcRequests(HttpListenerRequest request, HttpListenerResponse response) ?? E:\opensim\trunk\OpenSim\Framework\Servers\BaseHttpServer.cs:? 300
   ?? OpenSim.Framework.Servers.BaseHttpServer.HandleRequest(Object stateinfo) ?? E:\opensim\trunk\OpenSim\Framework\Servers\BaseHttpServer.cs:? 197
Additional InformationI tried to find out the reason and made a patch for it.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
Environment.NET / Windows32
Mono Version
Viewer
Attached Filespatch file icon xml-rpc_receive_exception.patch [^] (714 bytes) 2008-04-15 22:56 [Show Content]
patch file icon XMLRPCModule.patch [^] (2,431 bytes) 2008-05-22 13:03 [Show Content]

- Relationships
related to 0000862closed XML-RPC org.apache.xmlrpc.XmlRpcException: Script timeout 

-  Notes
(0001776)
thomas (reporter)
2008-04-29 20:32

Does anyone use XML-RPC in OpenSim?
Did anyone check it?
(0002381)
Grumly57 (reporter)
2008-05-22 06:48
edited on: 2008-05-22 06:49

Thomas patch is ok, but it's too old and cannot be applied.
Here is a patch based on the same fixture, plus the ability to do
llRemoteDataReply with NULL_KEY in message id parameter, as pointed in the example on http://wiki.secondlife.com/wiki/Category:LSL_XML-RPC [^] plus an additional warning if llRemoteDataReply cannot retrieve channel or message id.

(0002382)
thomas (reporter)
2008-05-22 07:54

Thank you Grumly57
(0002386)
Grumly57 (reporter)
2008-05-22 13:03

oops forgot the patch
(0002396)
Grumly57 (reporter)
2008-05-22 14:13

It only seems to work on standalone
An XMLRPC call in grid mode raises sim CPU to 100 and locks everything
(0002406)
thomas (reporter)
2008-05-22 17:44

I have been running OpenSim on grid mode and not encountered what you had mentioned. Maybe it is an other issue? :)
(0002421)
Grumly57 (reporter)
2008-05-23 01:13

Oh, really ? It is encouraging then :) Thanks for the information. I may have some misconfiguration in my firewalls or stuff.
(0002433)
Grumly57 (reporter)
2008-05-24 04:55

Well, I cant see what goes wrong in grid mode on my side. (.NET Windows XP 2GB connected to Francogrid using DSL)

It works fine in standalone mode, but fails in grid mode. I cant see what happens. Could someone try it and check what is wrong ?
(0002437)
Grumly57 (reporter)
2008-05-24 13:23

Last news... It works fine on one of my regions and not on the other. The one where it works containts only that script. This issues might be related to many scripts running together.
(0002441)
cfk (administrator)
2008-05-24 14:32

Exception captured with r4823 on the 'moons' console with an XMLRPC failure to hopefully add clarity.

2008-05-24 14:08:49,284 DEBUG - OpenSim.Region.Environment.Scenes.Scene [CAPS]: Setting up CAPS handler for root agent 353b7190-3ffb-4317-a745-4dbd8ac46cb6 in Wright Plaza
2008-05-24 14:10:18,495 WARN - OpenSim.Region.Communications.OGS1.OGS1UserServices [OGS1 USER SERVICES]: Error when trying to fetch Avatar's appearance: The request timed out
2008-05-24 14:10:19,185 INFO - OpenSim.Region.Modules.AvatarFactory.AvatarFactoryModule [APPEARANCE] appearance not found for a94e618f-69f9-4cf3-a08c-e0f5719bfa8b, creating default
2008-05-24 14:10:19,384 WARN - OpenSim.Region.Environment.Scenes.Scene [APPEARANCE]: Appearance not found, creating default
2008-05-24 14:10:32,089 ERROR - OpenSim.Region.Communications.OGS1.OGS1GridServices MapBlockQuery XMLRPC failure: System.Net.WebException: The request timed out
  at System.Net.HttpWebRequest.GetRequestStream () [0x00047] in /tmp/monobuild/build/BUILD/mono-1.9/mcs/class/System/System.Net/HttpWebRequest.cs:723
  at Nwc.XmlRpc.XmlRpcRequest.Send (System.String url, Int32 timeout) [0x00000]
  at OpenSim.Region.Communications.OGS1.OGS1GridServices.MapBlockQuery (Int32 minX, Int32 minY, Int32 maxX, Int32 maxY) [0x00065] in /opt/wright2/trunk/OpenSim/Region/Communications/OGS1/OGS1GridServices.cs:525
(0002442)
Grumly57 (reporter)
2008-05-24 15:50

What I am trying to make work is the XMLRPC that is used in LSL language to communicate outside using llRemoteData. This exception cames from another XMLRPC communication (MapBlockQuery) which is processed very differently.
(0002443)
cfk (administrator)
2008-05-24 17:56

Exception captured with r4830 on the 'moons' console with an XMLRPC failure to hopefully add clarity.

2008-05-24 17:38:06,409 INFO - OpenSim.Region.ScriptEngine.Common.ScriptEngineBase.ScriptEngine [ScriptEngine.DotNetEngine]: Reading configuration from config section "ScriptEngine.DotNetEngine"
2008-05-24 17:38:06,492 INFO - OpenSim.Region.Communications.OGS1.OGS1GridServices [OGS1 GRID SERVICES]: Attempting to register region Wright Plaza with grid at http://4.71.184.27:8001 [^]
2008-05-24 17:38:25,369 ERROR - OpenSim.Region.Communications.OGS1.OGS1GridServices MapBlockQuery XMLRPC failure: System.Net.WebException: The request timed out
  at System.Net.HttpWebRequest.GetRequestStream () [0x00047] in /tmp/monobuild/build/BUILD/mono-1.9/mcs/class/System/System.Net/HttpWebRequest.cs:723
  at Nwc.XmlRpc.XmlRpcRequest.Send (System.String url, Int32 timeout) [0x00000]
  at OpenSim.Region.Communications.OGS1.OGS1GridServices.MapBlockQuery (Int32 minX, Int32 minY, Int32 maxX, Int32 maxY) [0x00065] in /opt/wright2/trunk/OpenSim/Region/Communications/OGS1/OGS1GridServices.cs:525
2008-05-24 17:38:25,369 INFO - OpenSim.Region.Communications.OGS1.OGS1GridServices [OGS1 GRID SERVICES]: Region Wright Plaza successfully registered with grid at http://4.71.184.27:8001 [^]
2008-05-24 17:38:35,376 ERROR - OpenSim.Region.Communications.OGS1.OGS1GridServices MapBlockQuery XMLRPC failure: System.Net.WebException: The request timed out
  at System.Net.HttpWebRequest.GetRequestStream () [0x00047] in /tmp/monobuild/build/BUILD/mono-1.9/mcs/class/System/System.Net/HttpWebRequest.cs:723
  at Nwc.XmlRpc.XmlRpcRequest.Send (System.String url, Int32 timeout) [0x00000]
  at OpenSim.Region.Communications.OGS1.OGS1GridServices.MapBlockQuery (Int32 minX, Int32 minY, Int32 maxX, Int32 maxY) [0x00065] in /opt/wright2/trunk/OpenSim/Region/Communications/OGS1/OGS1GridServices.cs:525
2008-05-24 17:38:35,380 INFO - OpenSim.Region.Environment.Scenes.Scene [PRIM INVENTORY]: Starting scripts in scene
2
(0002448)
Grumly57 (reporter)
2008-05-25 06:26

Thanks a lot cfk, hope it will help
(0002451)
cfk (administrator)
2008-05-25 10:59

Commit as r4837. Sorry this got ignored for so long, Grumly, my apologies.

- Issue History
Date Modified Username Field Change
2008-04-15 22:56 thomas New Issue
2008-04-15 22:56 thomas File Added: xml-rpc_receive_exception.patch
2008-04-15 22:56 thomas SVN Revision => 4160
2008-04-15 22:56 thomas Run Mode => Grid (Multiple Regions per Sim)
2008-04-15 22:56 thomas Physics Engine => ODE
2008-04-15 22:56 thomas Environment => .NET / Windows32
2008-04-29 20:32 thomas Note Added: 0001776
2008-05-22 06:48 Grumly57 Note Added: 0002381
2008-05-22 06:48 Grumly57 Note Edited: 0002381
2008-05-22 06:49 Grumly57 Note Edited: 0002381
2008-05-22 07:50 melanie Status new => patch included
2008-05-22 07:54 thomas Note Added: 0002382
2008-05-22 13:03 Grumly57 File Added: XMLRPCModule.patch
2008-05-22 13:03 Grumly57 Note Added: 0002386
2008-05-22 14:13 Grumly57 Note Added: 0002396
2008-05-22 17:44 thomas Note Added: 0002406
2008-05-23 01:13 Grumly57 Note Added: 0002421
2008-05-24 04:55 Grumly57 Note Added: 0002433
2008-05-24 13:23 Grumly57 Note Added: 0002437
2008-05-24 14:32 cfk Note Added: 0002441
2008-05-24 15:50 Grumly57 Note Added: 0002442
2008-05-24 17:56 cfk Note Added: 0002443
2008-05-25 06:26 Grumly57 Note Added: 0002448
2008-05-25 10:59 cfk Status patch included => resolved
2008-05-25 10:59 cfk Resolution open => fixed
2008-05-25 10:59 cfk Assigned To => cfk
2008-05-25 10:59 cfk Note Added: 0002451
2008-05-27 03:46 Grumly57 Relationship added related to 0000862
2008-05-31 14:21 cfk Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker